> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V3 Get Music Task Details.

> Retrieve detailed information about a music generation task.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json get /v3/music/tasks
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v3/music/tasks:
    get:
      tags:
        - AI-Music-Generator
      summary: V3 Get Music Task Details.
      description: Retrieve detailed information about a music generation task.
      operationId: query_v3_music_tasks_get
      parameters:
        - name: ids
          in: query
          required: false
          schema:
            type: string
            title: id
            default: ''
          example: 417,418
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Song'
                title: Response Query V3 Music Tasks Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Song:
      properties:
        id:
          type: string
          title: Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        style:
          anyOf:
            - type: string
            - type: 'null'
          title: Style
        duration:
          type: integer
          title: Duration
        audio_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Audio Url
        cover_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cover Url
        status:
          type: integer
          title: Status
        song_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Song Id
        lyric:
          anyOf:
            - type: string
            - type: 'null'
          title: Lyric
        fail_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Fail Code
        fail_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Fail Reason
      type: object
      required:
        - id
        - duration
        - status
      title: Song
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````